CVE-2022-46293

CVSS 3.1 Score 9.8 of 10 (high)

Details

Published Jul 21, 2023
Updated: Jul 27, 2023
CWE ID 119
CWE ID 787

Summary

A vulnerability with the CVE ID CVE-2022-46293 has been discovered in Open Babel 3.1.1 and master commit 530dbfa3. This vulnerability affects the MOPAC file format within the Final Point and Derivatives section. It is caused by multiple out-of-bounds write vulnerabilities in the translationVectors parsing functionality. Exploiting this vulnerability can lead to arbitrary code execution. The base severity of this vulnerability is rated as CRITICAL, with a base score of 9.8 according to CVSS version 3.1. No user interaction or privileges are required for exploitation, making it highly dangerous for organizations. To remediate this vulnerability, users should update to a version of Open Babel that includes a fix for these issues.

Share

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2022-46293 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options